org.apache.ignite.thread

## Class IgniteThreadFactory

- java.lang.Object
- - org.apache.ignite.thread.IgniteThreadFactory

All Implemented Interfaces:
  ThreadFactory

Direct Known Subclasses:
  IgfsThreadFactory

    public class IgniteThreadFactory
    extends Object
    implements ThreadFactory

This class provides implementation of `ThreadFactory` factory for creating grid threads.

### Constructor Summary

Constructors
Constructor and Description
`IgniteThreadFactory(String igniteInstanceName, String threadName)` Constructs new thread factory for given grid.
`IgniteThreadFactory(String igniteInstanceName, String threadName, byte plc)` Constructs new thread factory for given grid.

### Method Summary

All Methods Instance Methods Concrete Methods
`Thread` `newThread(Runnable r)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteThreadFactory

    public IgniteThreadFactory(String igniteInstanceName,
                               String threadName)

Constructs new thread factory for given grid. All threads will belong to the same default thread group.

Parameters:
  `igniteInstanceName` - Ignite instance name.
  `threadName` - Thread name.

#### IgniteThreadFactory

    public IgniteThreadFactory(String igniteInstanceName,
                               String threadName,
                               byte plc)

Constructs new thread factory for given grid. All threads will belong to the same default thread group.

Parameters:
  `igniteInstanceName` - Ignite instance name.
  `threadName` - Thread name.
  `plc` - `GridIoPolicy` for thread pool.

### Method Detail

#### newThread

    public Thread newThread(@NotNull
                            Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018